# salt.states.marathon_app

Configure Marathon apps via a salt proxy.

    my_app:
      marathon_app.config:
        - config:
            cmd: "while [ true ] ; do echo 'Hello Marathon' ; sleep 5 ; done"
            cpus: 0.1
            mem: 10
            instances: 3

Added in version 2015.8.2.

salt.states.marathon_app.absent(name)

  Ensure that the marathon app with the given id is not present.

  Parameters:

    name -- The app name/id

  Returns:

    A standard Salt changes dictionary

salt.states.marathon_app.config(name, config)

  Ensure that the marathon app with the given id is present and is configured to match the given config values.

  Parameters:

    - name -- The app name/id

    - config -- The configuration to apply (dict)

  Returns:

    A standard Salt changes dictionary

salt.states.marathon_app.running(name, restart=False, force=True)

  Ensure that the marathon app with the given id is present and restart if set.

  Parameters:

    - name -- The app name/id

    - restart -- Restart the app

    - force -- Override the current deployment

  Returns:

    A standard Salt changes dictionary